Irrlicht Engine: irr::scene::ISceneNodeAnimatorCameraFPS Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::ISceneNodeAnimatorCameraFPS Class Reference

Special scene node animator for FPS cameras. More...

`#include <ISceneNodeAnimatorCameraFPS.h>`

Inheritance diagram for irr::scene::ISceneNodeAnimatorCameraFPS:

List of all members.

## Public Member Functions
virtual f32 | getMoveSpeed () const =0
| Returns the speed of movement in units per millisecond.
virtual f32 | getRotateSpeed () const =0
| Returns the rotation speed in degrees.
virtual void | setInvertMouse (bool invert)=0
| Sets whether the Y axis of the mouse should be inverted.
virtual void | setKeyMap (SKeyMap *map, u32 count)=0
| Sets the keyboard mapping for this animator.
virtual void | setMoveSpeed (f32 moveSpeed)=0
| Sets the speed of movement in units per millisecond.
virtual void | setRotateSpeed (f32 rotateSpeed)=0
| Set the rotation speed in degrees.
virtual void | setVerticalMovement (bool allow)=0
| Sets whether vertical movement should be allowed.

## Detailed Description

Special scene node animator for FPS cameras.

This scene node animator can be attached to a camera to make it act like a first person shooter

Definition at line 22 of file ISceneNodeAnimatorCameraFPS.h.

## Member Function Documentation

virtual f32 irr::scene::ISceneNodeAnimatorCameraFPS::getMoveSpeed | ( |  | ) | const`[pure virtual]`

Returns the speed of movement in units per millisecond.

virtual f32 irr::scene::ISceneNodeAnimatorCameraFPS::getRotateSpeed | ( |  | ) | const`[pure virtual]`

Returns the rotation speed in degrees.

The degrees are equivalent to a half screen movement of the mouse, i.e. if the mouse cursor had been moved to the border of the screen since the last animation.

virtual void irr::scene::ISceneNodeAnimatorCameraFPS::setInvertMouse | ( | bool | invert | ) | `[pure virtual]`

Sets whether the Y axis of the mouse should be inverted.

If enabled then moving the mouse down will cause the camera to look up. It is disabled by default.

virtual void irr::scene::ISceneNodeAnimatorCameraFPS::setKeyMap | ( | SKeyMap * | map,
|  | u32 | count |
| ) |  |  | `[pure virtual]`

Sets the keyboard mapping for this animator.

Parameters:

  | map | Array of keyboard mappings, see irr::SKeyMap
  | count | Size of the keyboard map array.

virtual void irr::scene::ISceneNodeAnimatorCameraFPS::setMoveSpeed | ( | f32 | moveSpeed | ) | `[pure virtual]`

Sets the speed of movement in units per millisecond.

virtual void irr::scene::ISceneNodeAnimatorCameraFPS::setRotateSpeed | ( | f32 | rotateSpeed | ) | `[pure virtual]`

Set the rotation speed in degrees.

virtual void irr::scene::ISceneNodeAnimatorCameraFPS::setVerticalMovement | ( | bool | allow | ) | `[pure virtual]`

Sets whether vertical movement should be allowed.

If vertical movement is enabled then the camera may fight with gravity causing camera shake. Disable this if the camera has a collision animator with gravity enabled.

The documentation for this class was generated from the following file:

- ISceneNodeAnimatorCameraFPS.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:08 2010 by Doxygen (1.6.2)